locals {
  config_data = templatefile(
    "${path.module}/config.yml",
    {
      base_hostname = var.base_hostname,
    }
  )
}

resource "nomad_job" "blocky" {
  hcl2 {
    enabled = true
    vars = {
      "config_data" = local.config_data,
    }
  }

  jobspec = templatefile("${path.module}/blocky.nomad", {
    use_wesher = var.use_wesher,
  })
}
