resource "nomad_job" "exporters" {
  hcl2 {
    enabled = true
  }

  jobspec = templatefile("${path.module}/exporters.nomad", {
    use_wesher = var.use_wesher,
  })
}

resource "nomad_job" "prometheus" {
  hcl2 {
    enabled = true
  }

  jobspec = templatefile("${path.module}/prometheus.nomad", {
    use_wesher = var.use_wesher,
  })
}

resource "nomad_job" "grafana" {
  hcl2 {
    enabled = true
  }

  jobspec = templatefile("${path.module}/grafana.nomad", {
    module_path = path.module
    use_wesher  = var.use_wesher
  })

  depends_on = [nomad_job.prometheus]
}
